org.eclipse.rdf4j.repository.event

## Interface NotifyingRepositoryConnection

- All Superinterfaces:
    AutoCloseable, RepositoryConnection
  All Known Implementing Classes:
    NotifyingRepositoryConnectionWrapper

      public interface NotifyingRepositoryConnection
      extends RepositoryConnection

  Author:
    Herko ter Horst

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRepositoryConnectionListener(RepositoryConnectionListener listener)` Registers a `RepositoryConnectionListener` that will receive notifications of operations that are performed on this connection.
    `void` | `removeRepositoryConnectionListener(RepositoryConnectionListener listener)` Removes a registered `RepositoryConnectionListener` from this connection.

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.RepositoryConnection

      `add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, begin, begin, begin, clear, clearNamespaces, close, commit, export, exportStatements, getContextIDs, getIsolationLevel, getNamespace, getNamespaces, getParserConfig, getRepository, getStatements, getStatements, getStatements, getValueFactory, hasStatement, hasStatement, hasStatement, isActive, isAutoCommit, isEmpty, isOpen, prepare, prepareBooleanQuery, prepareBooleanQuery, prepareBooleanQuery, prepareGraphQuery, prepareGraphQuery, prepareGraphQuery, prepareQuery, prepareQuery, prepareQuery, prepareTupleQuery, prepareTupleQuery, prepareTupleQuery, prepareUpdate, prepareUpdate, prepareUpdate, remove, remove, remove, remove, remove, remove, removeNamespace, rollback, setAutoCommit, setIsolationLevel, setNamespace, setParserConfig, size`

- - ### Method Detail

    - #### addRepositoryConnectionListener

          void addRepositoryConnectionListener(RepositoryConnectionListener listener)

      Registers a `RepositoryConnectionListener` that will receive notifications of operations that are performed on this connection.

    - #### removeRepositoryConnectionListener

          void removeRepositoryConnectionListener(RepositoryConnectionListener listener)

      Removes a registered `RepositoryConnectionListener` from this connection.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.